FreeBSD : net/eternalterminal -- Multiple vulnerabilities (b6f7ad7d-9b19-11ed-9a3f-b42e991fc52e)

medium Nessus Plugin ID 170399

Language:

Synopsis

The remote FreeBSD host is missing one or more security-related updates.

Description

The version of FreeBSD installed on the remote host is prior to tested version. It is, therefore, affected by multiple vulnerabilities as referenced in the b6f7ad7d-9b19-11ed-9a3f-b42e991fc52e advisory.

- In Eternal Terminal 6.2.1, etserver and etclient have predictable logfile names in /tmp. (CVE-2022-48257)

- In Eternal Terminal 6.2.1, etserver and etclient have world-readable logfiles. (CVE-2022-48258)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the affected packages.

See Also

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-48257

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-48258

http://www.nessus.org/u?c55e1b79

Plugin Details

Severity: Medium

ID: 170399

File Name: freebsd_pkg_b6f7ad7d9b1911ed9a3fb42e991fc52e.nasl

Version: 1.1

Type: local

Published: 1/23/2023

Updated: 1/24/2023

Risk Information

VPR

Risk Factor: Low

Score: 2.2

CVSS v2

Risk Factor: Medium

Base Score: 6.4

Temporal Score: 4.7

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:N

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS Score Source: CVE-2022-48257

CVSS v3

Risk Factor: Medium

Base Score: 5.3

Temporal Score: 4.6

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

CVSS Score Source: CVE-2022-48258

Vulnerability Information

CPE: cpe:2.3:o:freebsd:freebsd:*:*:*:*:*:*:*:*, p-cpe:2.3:a:freebsd:freebsd:eternalterminal:*:*:*:*:*:*:*

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Ease: No known exploits are available

Patch Publication Date: 1/23/2023

Vulnerability Publication Date: 1/13/2023

Reference Information

CVE: CVE-2022-48257, CVE-2022-48258